#ifndef KartenLeser_H
#define KartenLeser_H

#include "SSDatenbankV.h"
#include "STS.h"

class Karte;

class KartenLeser
{
private:
	SSDatenbankV *db;
	Text *pfad;
	int karteId;
	int ref;

public:
	// Kontruktor
    KartenLeser( int karteId, SSDatenbankV *db, char *tmpPfad );
	// Destruktor
	~KartenLeser();
	// nicht constant
	bool ladeSpielerTeamStruktur( SpielerTeamStruktur *zSts );
	Karte *ladeKarte( SpielerTeamStruktur *zSts );
	// constant
	int getKarteId() const;
	Text *getPfad() const;
	Text *zPfad() const;
	// Reference Counting
	KartenLeser *getThis();
	KartenLeser *release();
};

#endif